Bug 844009 - Blender crashes with dynamic build, not with static
Blender crashes with dynamic build, not with static
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-ati (Show other bugs)
16
x86_64 Linux
unspecified Severity medium
: ---
: ---
Assigned To: X/OpenGL Maintenance List
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-07-27 16:46 EDT by Patrice FERLET
Modified: 2013-02-26 10:17 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-02-26 10:17:54 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Patrice FERLET 2012-07-27 16:46:14 EDT
Description of problem:
I only select some object, Blender 2.63 often crashes
I'm using the release taken from blender3d.org

There are 2 binaries, one named "blender", other named "blender-softwaregl" that is a static build. 

blender-softwaregl doesn't crash.

I did a bug report on blender bugtracker:
https://projects.blender.org/tracker/index.php?func=detail&aid=32193&group_id=9&atid=498

You can see my core dump test, that returns:

(gdb) core-file trace.log 
[New LWP 8015]
[New LWP 16812]
[New LWP 16811]
[New LWP 16810]
[New LWP 16380]
[New LWP 16376]
[New LWP 16371]
[New LWP 16370]
[New LWP 16369]
[New LWP 16337]
[New LWP 16327]
Core was generated by `/home/patachou/Téléchargements/blender-2.63-linux-glibc27-x86_64/blender'.
Program terminated with signal 11, Segmentation fault.
#0 0x00007ffff69667bd in nanosleep () at ../sysdeps/unix/syscall-template.S:82
82 T_PSEUDO (SYSCALL_SYMBOL, SYSCALL_NAME, SYSCALL_NARGS)
(gdb) bt
#0 0x00007ffff69667bd in nanosleep () at ../sysdeps/unix/syscall-template.S:82
#1 0x00007ffff6993b64 in usleep (useconds=<optimized out>) at ../sysdeps/unix/sysv/linux/usleep.c:33
#2 0x00000000016bb86e in AUD_OpenALDevice::updateStreams() ()
#3 0x00000000016bb939 in AUD_openalRunThread(void*) ()
#4 0x00007ffff620cd90 in start_thread (arg=0x7fffe93fe700) at pthread_create.c:309
#5 0x00007ffff6999f5d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:115
(gdb)



Version-Release number of selected component (if applicable):
6.14.3-4.20120201git36c190671.fc16.x86_64

How reproducible:
Each time I'm using blender dynamic build

Steps to Reproduce:
1. Open Blender
2. Make some objects
3. select quickly objects
  
Actual results:
Segfault on terminal

Expected results:
no crash...

Additional info:

See my core dump report

Regards,
Comment 1 Patrice FERLET 2012-08-05 04:28:38 EDT
It seems that is fixed in Fedora 17
Comment 2 Fedora End Of Life 2013-01-16 16:06:35 EST
This message is a reminder that Fedora 16 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 16. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '16'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 16's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 16 is end of life. If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora, you are encouraged to click on 
"Clone This Bug" and open it against that version of Fedora.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 3 Fedora End Of Life 2013-02-26 10:17:57 EST
Fedora 16 changed to end-of-life (EOL) status on 2013-02-12. Fedora 16 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.